Workflows - Create Or Update
Creates or updates a workflow.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}?api-version=2016-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
The resource group name. |
|
subscription
|
path | True |
|
The subscription id. |
|
workflow
|
path | True |
|
The workflow name. |
|
api-version
|
query | True |
|
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| location |
|
The resource location. |
| properties.definition |
The definition. See Schema reference for Workflow Definition Language in Azure Logic Apps. |
|
| properties.integrationAccount |
The integration account. |
|
| properties.parameters |
|
The parameters. |
| properties.sku |
The sku. |
|
| properties.state |
The state. |
|
| tags |
|
The resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 201 Created |
Created |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Create or update a workflow
Sample Request
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow?api-version=2016-06-01
{
"properties": {
"definition": {
"$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
"contentVersion": "1.0.0.0",
"parameters": {
"$connections": {
"defaultValue": {},
"type": "Object"
}
},
"triggers": {
"manual": {
"type": "Request",
"kind": "Http",
"inputs": {
"schema": {}
}
}
},
"actions": {
"Find_pet_by_ID": {
"runAfter": {},
"type": "ApiConnection",
"inputs": {
"host": {
"connection": {
"name": "@parameters('$connections')['test-custom-connector']['connectionId']"
}
},
"method": "get",
"path": "/pet/@{encodeURIComponent('1')}"
}
}
},
"outputs": {}
},
"parameters": {
"$connections": {
"value": {
"test-custom-connector": {
"connectionId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/connections/test-custom-connector",
"connectionName": "test-custom-connector",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/locations/brazilsouth/managedApis/test-custom-connector"
}
}
}
}
},
"location": "brazilsouth",
"tags": {}
}
Sample Response
{
"properties": {
"provisioningState": "Succeeded",
"createdTime": "2018-04-25T01:39:21.4365247Z",
"changedTime": "2018-08-09T22:54:54.3533634Z",
"state": "Enabled",
"version": "08586677515911718341",
"accessEndpoint": "http://tempuri.org",
"integrationAccount": {
"name": "test-integration-account",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
"type": "Microsoft.Logic/integrationAccounts"
},
"definition": {
"$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
"contentVersion": "1.0.0.0",
"parameters": {},
"triggers": {},
"actions": {},
"outputs": {}
},
"parameters": {}
}
}
{
"properties": {
"provisioningState": "Succeeded",
"createdTime": "2018-04-25T01:39:21.4365247Z",
"changedTime": "2018-08-09T22:54:54.3533634Z",
"state": "Enabled",
"version": "08586677515911718341",
"accessEndpoint": "http://tempuri.org",
"integrationAccount": {
"name": "test-integration-account",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
"type": "Microsoft.Logic/integrationAccounts"
},
"definition": {
"$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
"contentVersion": "1.0.0.0",
"parameters": {},
"triggers": {},
"actions": {},
"outputs": {}
},
"parameters": {}
}
}
Definitions
| Object | |
|
Parameter |
|
|
Resource |
The resource reference. |
| Sku |
The sku type. |
|
Sku |
The sku name. |
| Workflow |
The workflow type. |
|
Workflow |
The workflow parameters. |
|
Workflow |
|
|
Workflow |
Object
ParameterType
| Name | Type | Description |
|---|---|---|
| Array |
|
|
| Bool |
|
|
| Float |
|
|
| Int |
|
|
| NotSpecified |
|
|
| Object |
|
|
| SecureObject |
|
|
| SecureString |
|
|
| String |
|
ResourceReference
The resource reference.
| Name | Type | Description |
|---|---|---|
| id |
|
The resource id. |
| name |
|
Gets the resource name. |
| type |
|
Gets the resource type. |
Sku
The sku type.
| Name | Type | Description |
|---|---|---|
| name |
The name. |
|
| plan |
The reference to plan. |
SkuName
The sku name.
| Name | Type | Description |
|---|---|---|
| Basic |
|
|
| Free |
|
|
| NotSpecified |
|
|
| Premium |
|
|
| Shared |
|
|
| Standard |
|
Workflow
The workflow type.
| Name | Type | Description |
|---|---|---|
| id |
|
The resource id. |
| location |
|
The resource location. |
| name |
|
Gets the resource name. |
| properties.accessEndpoint |
|
Gets the access endpoint. |
| properties.changedTime |
|
Gets the changed time. |
| properties.createdTime |
|
Gets the created time. |
| properties.definition |
The definition. See Schema reference for Workflow Definition Language in Azure Logic Apps. |
|
| properties.integrationAccount |
The integration account. |
|
| properties.parameters |
|
The parameters. |
| properties.provisioningState |
Gets the provisioning state. |
|
| properties.sku |
The sku. |
|
| properties.state |
The state. |
|
| properties.version |
|
Gets the version. |
| tags |
|
The resource tags. |
| type |
|
Gets the resource type. |
WorkflowParameter
The workflow parameters.
| Name | Type | Description |
|---|---|---|
| description |
|
The description. |
| metadata |
The metadata. |
|
| type |
The type. |
|
| value |
The value. |
WorkflowProvisioningState
| Name | Type | Description |
|---|---|---|
| Accepted |
|
|
| Canceled |
|
|
| Completed |
|
|
| Created |
|
|
| Creating |
|
|
| Deleted |
|
|
| Deleting |
|
|
| Failed |
|
|
| Moving |
|
|
| NotSpecified |
|
|
| Ready |
|
|
| Registered |
|
|
| Registering |
|
|
| Running |
|
|
| Succeeded |
|
|
| Unregistered |
|
|
| Unregistering |
|
|
| Updating |
|
WorkflowState
| Name | Type | Description |
|---|---|---|
| Completed |
|
|
| Deleted |
|
|
| Disabled |
|
|
| Enabled |
|
|
| NotSpecified |
|
|
| Suspended |
|